# HG changeset patch
# User jel+opengrok@cs.uni-magdeburg.de
# Date 1337498312 -7200
# Node ID b0f3b783bd64212f698c1169d73d75edae416505
# Parent  b23a4dab3d500aa3e57159dfbf2b3f9a5bbf4bd6
remove python 2.4 dependency

diff -r b23a4dab3d50 -r b0f3b783bd64 usr/src/Makefile.master
--- a/usr/src/Makefile.master	Wed Aug 18 15:52:48 2010 -0600
+++ b/usr/src/Makefile.master	Sun May 20 09:18:32 2012 +0200
@@ -176,9 +176,8 @@
 XREF=		$(ONBLD_TOOLS)/bin/xref
 FIND=		/usr/bin/find
 PERL=		/usr/bin/perl
-PYTHON_24=	/usr/bin/python2.4
 PYTHON_26=	/usr/bin/python2.6
-PYTHON=		$(PYTHON_24)
+PYTHON=		$(PYTHON_26)
 SORT=		/usr/bin/sort
 TOUCH=		/usr/bin/touch
 WC=		/usr/bin/wc
diff -r b23a4dab3d50 -r b0f3b783bd64 usr/src/cmd/boot/scripts/root_archive.ksh
--- a/usr/src/cmd/boot/scripts/root_archive.ksh	Wed Aug 18 15:52:48 2010 -0600
+++ b/usr/src/cmd/boot/scripts/root_archive.ksh	Sun May 20 09:18:32 2012 +0200
@@ -155,7 +155,7 @@
 		    usr/lib/metacity-dialog usr/lib/window-manager-settings \
 		    usr/lib/bonobo-2.0 usr/lib/bononbo usr/lib/gtk-2.0 \
 		    usr/lib/GConf usr/lib/bonobo-activation-server \
-		    usr/lib/python2.4 usr/lib/gstreamer-0.10 \
+		    usr/lib/python2.6 usr/lib/gstreamer-0.10 \
 		    usr/lib/gconf-sanity-check-2 usr/lib/gconfd \
 		    usr/lib/gnome-vfs-2.0 usr/lib/dbus-daemon \
 		    usr/lib/gnome-vfs-daemon usr/lib/gnome-settings-daemon \
diff -r b23a4dab3d50 -r b0f3b783bd64 usr/src/pkg/manifests/developer-build-onbld.mf
--- a/usr/src/pkg/manifests/developer-build-onbld.mf	Wed Aug 18 15:52:48 2010 -0600
+++ b/usr/src/pkg/manifests/developer-build-onbld.mf	Sun May 20 09:18:32 2012 +0200
@@ -46,11 +46,6 @@
 dir path=opt/onbld/lib
 dir path=opt/onbld/lib/$(ARCH)
 dir path=opt/onbld/lib/perl
-dir path=opt/onbld/lib/python2.4
-dir path=opt/onbld/lib/python2.4/onbld
-dir path=opt/onbld/lib/python2.4/onbld/Checks
-dir path=opt/onbld/lib/python2.4/onbld/Scm
-dir path=opt/onbld/lib/python2.4/onbld/hgext
 dir path=opt/onbld/lib/python2.6
 dir path=opt/onbld/lib/python2.6/onbld
 dir path=opt/onbld/lib/python2.6/onbld/Checks
@@ -156,45 +151,6 @@
 file path=opt/onbld/lib/$(ARCH)/libdwarf.so.1
 file path=opt/onbld/lib/perl/onbld_elfmod.pm
 file path=opt/onbld/lib/perl/onbld_elfmod_vertype.pm
-file path=opt/onbld/lib/python2.4/onbld/Checks/CStyle.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/CStyle.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Cddl.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Cddl.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/CmtBlk.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/CmtBlk.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Comments.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Comments.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Copyright.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Copyright.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/DbLookups.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/DbLookups.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/HdrChk.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/HdrChk.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/JStyle.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/JStyle.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Keywords.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Keywords.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Mapfile.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Mapfile.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/ProcessCheck.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/ProcessCheck.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Rti.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Rti.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/__init__.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/__init__.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/Backup.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/Backup.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/Version.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/Version.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/WorkSpace.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/WorkSpace.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/__init__.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/__init__.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/__init__.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/__init__.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/hgext/__init__.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/hgext/__init__.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/hgext/cdm.py mode=0444
 file path=opt/onbld/lib/python2.6/onbld/Checks/CStyle.py mode=0444
 file path=opt/onbld/lib/python2.6/onbld/Checks/CStyle.pyc mode=0444
 file path=opt/onbld/lib/python2.6/onbld/Checks/Cddl.py mode=0444
@@ -280,4 +236,4 @@
     license=usr/src/tools/ctf/dwarf/THIRDPARTYLICENSE
 license usr/src/tools/onbld/THIRDPARTYLICENSE \
     license=usr/src/tools/onbld/THIRDPARTYLICENSE
-link path=opt/onbld/lib/python target=python2.4
+link path=opt/onbld/lib/python target=python2.6
diff -r b23a4dab3d50 -r b0f3b783bd64 usr/src/tools/Makefile
--- a/usr/src/tools/Makefile	Wed Aug 18 15:52:48 2010 -0600
+++ b/usr/src/tools/Makefile	Sun May 20 09:18:32 2012 +0200
@@ -91,11 +91,6 @@
 	$(ROOTONBLD)/lib \
 	$(ROOTONBLD)/lib/$(MACH) \
 	$(ROOTONBLD)/lib/perl \
-	$(ROOTONBLD)/lib/python2.4 \
-	$(ROOTONBLD)/lib/python2.4/onbld \
-	$(ROOTONBLD)/lib/python2.4/onbld/Checks \
-	$(ROOTONBLD)/lib/python2.4/onbld/hgext \
-	$(ROOTONBLD)/lib/python2.4/onbld/Scm \
 	$(ROOTONBLD)/lib/python2.6 \
 	$(ROOTONBLD)/lib/python2.6/onbld \
 	$(ROOTONBLD)/lib/python2.6/onbld/Checks \
@@ -148,6 +143,6 @@
 	$(INS.dir)
 
 $(ROOTONBLDLIBPY): $(ROOTDIRS)
-	$(RM) -r $@; $(SYMLINK) python2.4 $@
+	$(RM) -r $@; $(SYMLINK) python2.6 $@
 
 FRC:
diff -r b23a4dab3d50 -r b0f3b783bd64 usr/src/tools/Makefile.python
--- a/usr/src/tools/Makefile.python	Wed Aug 18 15:52:48 2010 -0600
+++ b/usr/src/tools/Makefile.python	Sun May 20 09:18:32 2012 +0200
@@ -63,43 +63,34 @@
 
 PYFILES = $(PYSRCS) $(PYOBJS)
 
-ROOTPYDIR_24 = $(PYTOPDIR)/python2.4/$(PYMODDIR)
-ROOTPYFILES_24 = $(PYFILES:%=$(ROOTPYDIR_24)/%)
-
 ROOTPYDIR_26 = $(PYTOPDIR)/python2.6/$(PYMODDIR)
 ROOTPYFILES_26	= $(PYFILES:%=$(ROOTPYDIR_26)/%)
 
-ROOTPYFILES = $(ROOTPYFILES_24) $(ROOTPYFILES_26)
+ROOTPYFILES = $(ROOTPYFILES_26)
 $(ROOTPYFILES) := FILEMODE = 0444
 
-PYVERSDIRS = python2.4 python2.6
-
-PY24OBJS = $(PYOBJS:%=python2.4/%)
-$(PY24OBJS) := PYTHON = $(PYTHON_24)
+PYVERSDIRS = python2.6
 
 PY26OBJS = $(PYOBJS:%=python2.6/%)
 $(PY26OBJS) := PYTHON = $(PYTHON_26)
 
-PYVERSOBJS = $(PY24OBJS) $(PY26OBJS)
+PYVERSOBJS = $(PY26OBJS)
 
 CLOBBERFILES += $(PYVERSOBJS)
 CLOBBERDIRS += $(PYVERSDIRS)
 
 .KEEP_STATE:
 
-python2.4/%.pyc python2.6/%.pyc: %.py
+python2.6/%.pyc: %.py
 	@[ -d $(@D) ] || mkdir $(@D)
 	$(RM) $@
 	$(PYTHON) -mpy_compile $<
 	$(MV) $(*).pyc $@
 
-$(ROOTPYDIR_24)/%.pyc: python2.4/%.pyc
-	$(INS.pyfile)
-
 $(ROOTPYDIR_26)/%.pyc: python2.6/%.pyc
 	$(INS.pyfile)
 
-$(ROOTPYDIR_24)/%.py $(ROOTPYDIR_26)/%.py: %.py
+$(ROOTPYDIR_26)/%.py: %.py
 	$(INS.pyfile)
 
 pyclobber:
diff -r b23a4dab3d50 -r b0f3b783bd64 usr/src/tools/Makefile.tools
--- a/usr/src/tools/Makefile.tools	Wed Aug 18 15:52:48 2010 -0600
+++ b/usr/src/tools/Makefile.tools	Sun May 20 09:18:32 2012 +0200
@@ -38,7 +38,6 @@
 ROOTONBLDLIBMACH=	$(ROOTONBLD)/lib/$(MACH)
 ROOTONBLDLIBPERL=	$(ROOTONBLD)/lib/perl
 ROOTONBLDLIBPY=		$(ROOTONBLD)/lib/python
-ROOTONBLDLIBPY_24=	$(ROOTONBLD)/lib/python2.4
 ROOTONBLDLIBPY_26=	$(ROOTONBLD)/lib/python2.6
 ROOTONBLDENV=		$(ROOTONBLD)/env
 ROOTONBLDGK=		$(ROOTONBLD)/gk
diff -r b23a4dab3d50 -r b0f3b783bd64 usr/src/tools/scripts/cddlchk.py
--- a/usr/src/tools/scripts/cddlchk.py	Wed Aug 18 15:52:48 2010 -0600
+++ b/usr/src/tools/scripts/cddlchk.py	Sun May 20 09:18:32 2012 +0200
@@ -1,4 +1,4 @@
-#!/usr/bin/python2.4
+#!/usr/bin/python2.6
 #
 # CDDL HEADER START
 #
diff -r b23a4dab3d50 -r b0f3b783bd64 usr/src/tools/scripts/copyrightchk.py
--- a/usr/src/tools/scripts/copyrightchk.py	Wed Aug 18 15:52:48 2010 -0600
+++ b/usr/src/tools/scripts/copyrightchk.py	Sun May 20 09:18:32 2012 +0200
@@ -1,4 +1,4 @@
-#!/usr/bin/python2.4
+#!/usr/bin/python2.6
 #
 # CDDL HEADER START
 #
diff -r b23a4dab3d50 -r b0f3b783bd64 usr/src/tools/scripts/hdrchk.py
--- a/usr/src/tools/scripts/hdrchk.py	Wed Aug 18 15:52:48 2010 -0600
+++ b/usr/src/tools/scripts/hdrchk.py	Sun May 20 09:18:32 2012 +0200
@@ -1,4 +1,4 @@
-#!/usr/bin/python2.4
+#!/usr/bin/python2.6
 #
 # CDDL HEADER START
 #
diff -r b23a4dab3d50 -r b0f3b783bd64 usr/src/tools/scripts/hg-active.py
--- a/usr/src/tools/scripts/hg-active.py	Wed Aug 18 15:52:48 2010 -0600
+++ b/usr/src/tools/scripts/hg-active.py	Sun May 20 09:18:32 2012 +0200
@@ -1,4 +1,4 @@
-#!/usr/bin/python2.4
+#!/usr/bin/python2.6
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License version 2
diff -r b23a4dab3d50 -r b0f3b783bd64 usr/src/tools/scripts/mapfilechk.py
--- a/usr/src/tools/scripts/mapfilechk.py	Wed Aug 18 15:52:48 2010 -0600
+++ b/usr/src/tools/scripts/mapfilechk.py	Sun May 20 09:18:32 2012 +0200
@@ -1,4 +1,4 @@
-#!/usr/bin/python2.4
+#!/usr/bin/python2.6
 #
 # CDDL HEADER START
 #
diff -r b23a4dab3d50 -r b0f3b783bd64 usr/src/tools/scripts/rtichk.py
--- a/usr/src/tools/scripts/rtichk.py	Wed Aug 18 15:52:48 2010 -0600
+++ b/usr/src/tools/scripts/rtichk.py	Sun May 20 09:18:32 2012 +0200
@@ -1,4 +1,4 @@
-#!/usr/bin/python2.4
+#!/usr/bin/python2.6
 #
 # CDDL HEADER START
 #
